classification
Title: [PATCH] Tcl/Tk 8.4.16 patches needed to get an x64 Windows build
Type: behavior Stage:
Components: Tkinter, Windows Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: trent Nosy List: loewis, trent
Priority: normal Keywords: 64bit, patch

Created on 2008-03-15 22:35 by trent, last changed 2008-04-04 17:58 by trent. This issue is now closed.

Files
File name Uploaded Description Edit
tk-8.4.16.patch trent, 2008-03-15 22:35 Patch to externals/tk8.4.16 branch.
tcl-8.4.16.patch trent, 2008-03-15 22:36 Patch to externals/tcl8.4.16 branch.
Messages (5)
msg63566 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2008-03-15 22:35
Martin, I've attached two patches required in order to get Tcl/Tk 8.4.16
to successfully compile on Windows x64.  I haven't included the patch to
external-amd64.bat (and pcbuild/readme.txt with updated build
instructions) yet as I wanted to confirm how you apply updates to the
external/ branch such that the buildbots can pick it up as well.

Note that I also dropped a generic standalone sed.exe into
tk-8.4.16/win, which is required for reasons that I couldn't be bothered
digging into in makefile.vc.  You can grab it from
http://svn.onresolve.com/external/tags/tcl-8.4.18.1/win/sed.exe.

Also, wanted to query the role of 'COMPILERFLAGS=-DWINVER=0x0500' in
your recommended nmake flags; do we still need it?  I used the following
for x64 debug builds:

..\tcl8.4.16\win>nmake -f makefile.vc DEBUG=1 MACHINE=AMD64
INSTALLDIR=../../tcltk64 clean all install

And for tk:

..\tk8.4.16\win>nmake -f makefile.vc DEBUG=1 MACHINE=AMD64
TCLDIR=../../tcl8.4.16 INSTALLDIR=../../tcltk64 clean all install

Let me know how you want to deal with the tcl/tk patches and then we can
look at fixing external-amd64.bat and updating pcbuild/readme.txt.
msg63567 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2008-03-15 22:36
And the tcl patch...
msg63589 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2008-03-16 19:33
Oh, another question, do we use tix for anything anymore?
msg63606 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-03-16 22:13
We still try to ship Tix where possible, not for use within Python itself, 
but for applications that use it. This goes back to Issue474836.
msg63780 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-03-17 21:17
Sounds good, please apply.
History
Date User Action Args
2008-04-04 17:58:45trentsetstatus: open -> closed
2008-03-17 21:17:07loewissetassignee: loewis -> trent
resolution: accepted
messages: + msg63780
2008-03-16 22:13:22loewissetmessages: + msg63606
2008-03-16 19:33:50trentsetmessages: + msg63589
2008-03-16 00:25:29christian.heimessetpriority: normal
assignee: loewis
type: behavior
components: + Windows
keywords: + 64bit
2008-03-15 22:36:40trentsetfiles: + tcl-8.4.16.patch
messages: + msg63567
2008-03-15 22:35:31trentcreate